summaryrefslogtreecommitdiff
path: root/dev-java/trident
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-java/trident
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-java/trident')
-rw-r--r--dev-java/trident/Manifest1
-rw-r--r--dev-java/trident/files/1.3-build.xml.patch29
-rw-r--r--dev-java/trident/metadata.xml9
-rw-r--r--dev-java/trident/trident-1.3.ebuild46
4 files changed, 85 insertions, 0 deletions
diff --git a/dev-java/trident/Manifest b/dev-java/trident/Manifest
new file mode 100644
index 000000000000..20ceaf2ad3e0
--- /dev/null
+++ b/dev-java/trident/Manifest
@@ -0,0 +1 @@
+DIST trident-1.3.zip 112050 BLAKE2B 62f5ae9266714524c50e92c00d3d13810d47727596b0247786c056490b5366015fd35b2e859925734eae26c01b8070474d24e0770ac2eb644024f32754a6c5b7 SHA512 2ecccf80c654ad8cff6a2907d4f81409034bd5cc07542e87db7b53a646fb63ee38a472eb778f6f77f6cf1885f8dc5b85d50a6a033ab430e7e03a07000463f68b
diff --git a/dev-java/trident/files/1.3-build.xml.patch b/dev-java/trident/files/1.3-build.xml.patch
new file mode 100644
index 000000000000..c82c3a18df3f
--- /dev/null
+++ b/dev-java/trident/files/1.3-build.xml.patch
@@ -0,0 +1,29 @@
+diff --git a/build.xml b/build.xml
+index 808ea3c..36e5859 100644
+--- a/build.xml
++++ b/build.xml
+@@ -84,7 +84,7 @@
+
+ <target name="compile.module.trident.production" description="compile module trident production classes">
+ <mkdir dir="${trident.output.dir}" />
+- <javac source="${javac.source}" target="${javac.target}" encoding="${javac.encoding}" destdir="${trident.output.dir}" debug="${javac.debug}" nowarn="${javac.generate.no.warnings}" memoryMaximumSize="${javac.max.memory}" fork="true" executable="${module.jdk.home.trident}/bin/javac">
++ <javac source="${javac.source}" target="${javac.target}" encoding="${javac.encoding}" destdir="${trident.output.dir}" debug="${javac.debug}" nowarn="${javac.generate.no.warnings}" memoryMaximumSize="${javac.max.memory}" fork="true">
+ <compilerarg line="${javac.args.trident}" />
+ <bootclasspath refid="trident.module.bootclasspath" />
+ <classpath refid="trident.module.classpath" />
+@@ -102,7 +102,7 @@
+
+ <target name="compile.module.trident.test" description="compile module trident test classes">
+ <mkdir dir="${trident.output.dir}" />
+- <javac source="${javac.source}" target="${javac.target}" encoding="${javac.encoding}" destdir="${trident.output.dir}" debug="${javac.debug}" nowarn="${javac.generate.no.warnings}" memoryMaximumSize="${javac.max.memory}" fork="true" executable="${module.jdk.home.trident}/bin/javac">
++ <javac source="${javac.source}" target="${javac.target}" encoding="${javac.encoding}" destdir="${trident.output.dir}" debug="${javac.debug}" nowarn="${javac.generate.no.warnings}" memoryMaximumSize="${javac.max.memory}" fork="true">
+ <compilerarg line="${javac.args.trident}" />
+ <bootclasspath refid="trident.module.bootclasspath" />
+ <classpath refid="trident.module.classpath" />
+@@ -189,4 +189,4 @@
+ <target name="clean" depends="clean.module.trident" description="cleanup all" />
+
+ <target name="all" depends="timestamp, init, clean, compile.module.trident, jar, compile.module.trident.test, jar-tst" description="build all" />
+-</project>
+\ No newline at end of file
++</project>
diff --git a/dev-java/trident/metadata.xml b/dev-java/trident/metadata.xml
new file mode 100644
index 000000000000..428163197653
--- /dev/null
+++ b/dev-java/trident/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ <name>Java</name>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-java/trident/trident-1.3.ebuild b/dev-java/trident/trident-1.3.ebuild
new file mode 100644
index 000000000000..4310cd5b1f56
--- /dev/null
+++ b/dev-java/trident/trident-1.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+JAVA_PKG_IUSE="source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Java animation library"
+HOMEPAGE="https://kenai.com/projects/trident/pages/Home"
+SRC_URI="https://kenai.com/projects/trident/downloads/download/version%20${PV}%20-%20stable/${PN}-all.zip -> ${P}.zip"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RESTRICT="test"
+
+CDEPEND="dev-java/swt:3.7"
+
+DEPEND=">=virtual/jdk-1.6
+ app-arch/unzip
+ ${CDEPEND}"
+RDEPEND=">=virtual/jre-1.6
+ ${CDEPEND}"
+
+S="${WORKDIR}"
+
+JAVA_ANT_REWRITE_CLASSPATH="true"
+EANT_BUILD_TARGET="timestamp init clean compile.module.trident jar"
+EANT_GENTOO_CLASSPATH="swt-3.7"
+EANT_EXTRA_ARGS="-Djdk.home=${JAVA_HOME}"
+
+java_prepare() {
+ mkdir build/classes -p || die
+ rm -r src/org/pushingpixels/trident/android/ || die
+ epatch "${FILESDIR}"/${PV}-*.patch
+}
+
+src_install() {
+ java-pkg_dojar drop/${PN}.jar
+
+ use source && java-pkg_dosrc src/*
+}